Parcels
Create & Update Parcel
Create Parcel
Create a standalone parcel. Requires the parcels:write scope. Parcels can also be created through fulfillments, manifests or shipments.
Required Parameters
location_id string
The ID of the location to associate the parcel with.
name string
The name of the parcel. Maximum 128 characters.
Optional Parameters
type string
Type of the parcel.
status string
Status of the parcel.
length number
Length of the parcel.
width number
Width of the parcel.
height number
Height of the parcel.
weight number
Weight of the parcel.
max_weight_domestic number
Maximum domestic weight for the parcel.
max_weight_international number
Maximum international weight for the parcel.
special_handling_tags string[]
Array of special handling tags.
external_container_id string
External container identifier.
container_number string
Container number.
tracking_number string
Tracking number for the parcel.
label_url string
URL to the parcel label.
layout_id string
The ID of the layout to associate with the parcel.
unpacked boolean
Whether the parcel has been unpacked. Default: false.
received boolean
Whether the parcel has been received. Default: false.
defective boolean
Whether the parcel is defective.
missing boolean
Whether the parcel is missing.
contents array
Array of parcel content objects.
metadata object
Custom metadata key-value pairs.
Example Request
Update Parcel
Updates an existing parcel and its contents using the id of the parcel.
Request Body
The request body accepts properties for both the parcel and its contents. All fields are optional and only provided fields will be updated.
Parcel Properties
Example Request
The parcel and its contents can be updated as follows